# frozen_string_literal: true

class UpdateWorkout < Actor
  input :workout, type: Workout
  input :safe_params, type: [Hash, ActionController::Parameters]
  input :add_element, type: String, allow_nil: true
  input :remove_element, type: String, allow_nil: true

  output :workout

  def call
    if add_element
      workout.assign_attributes(safe_params)
      workout.elements.build

      fail!(error: I18n.t(:element_added))
    elsif remove_element
      safe_params[:elements_attributes][remove_element][:_destroy] = 1
      workout.update(safe_params)
    else
      workout.update(safe_params)
    end

    fail! unless workout.valid?
  end
end
