# frozen_string_literal: true

class EditButtonComponent < ViewComponent::Base
  def initialize(item:)
    @item = item
  end

  def call
    link_to t(:edit), url_for(controller: controller_name, action: :edit, id: @item.id), class: 'btn btn-sm btn-blue'
  end

  private

  def controller_name
    @item.class.name.underscore.pluralize
  end
end
