# frozen_string_literal: true

class ShowComponent < ViewComponent::Base
  def initialize(item:)
    @item = item
    @model = item.class
    @attributes = attributes
    @controller = controller_name
  end

  private

  def attributes
    @item.attribute_names.reject { |attr| %w[created_at updated_at].include?(attr) }
  end

  def controller_name
    @item.class.name.underscore.pluralize
  end
end
