# frozen_string_literal: true

class TableComponent < ViewComponent::Base
  def initialize(collection:, attributes:)
    @collection = collection
    @attributes = attributes
    @controller = controller_name
    @model = model
  end

  def render?
    @collection.any?
  end

  private

  def model
    @collection.first.class
  end

  def controller_name
    @collection.first.class.name.underscore.pluralize
  end
end
