# frozen_string_literal: true

module CustomInputs
  # Customizing SimpleForm inputs
  # https://github.com/heartcombo/simple_form/blob/v3.0.3/README.md#custom-inputs
  # https://github.com/heartcombo/simple_form/tree/master/lib/simple_form/inputs

  class StringInput < SimpleForm::Inputs::StringInput
    def input_html_classes
      super.push('block border border-grey-light w-full p-3 rounded mb-4')
    end
  end

  class PasswordInput < SimpleForm::Inputs::PasswordInput
    def input_html_classes
      super.push('block border border-grey-light w-full p-3 rounded mb-4')
    end
  end

  class NumericInput < SimpleForm::Inputs::NumericInput
    def input_html_classes
      super.push('block border border-grey-light w-full p-3 rounded mb-4')
    end
  end

  class CollectionSelectInput < SimpleForm::Inputs::CollectionSelectInput
    def input_html_classes
      super.push('block border border-grey-light w-full p-3 rounded mb-4')
    end
  end
end
