# frozen_string_literal: true

class Movement < ApplicationRecord
  has_many :workout_elements
  has_many :workouts, -> { distinct }, through: :workout_elements, dependent: :restrict_with_error

  validates :name, presence: true, uniqueness: true
  validates :abbreviation, uniqueness: true, if: -> { abbreviation.present? }
end
