require_relative "boot"

require "rails/all"

# Require the gems listed in Gemfile, including any gems
# you've limited to :test, :development, or :production.
Bundler.require(*Rails.groups)

module Boxjumps
  class Application < Rails::Application
    # Initialize configuration defaults for originally generated Rails version.
    config.load_defaults 6.1

    # Set locale from Accept_Language
    # https://github.com/rack/rack-contrib
    config.middleware.use Rack::Locale

    # https://guides.rubyonrails.org/configuring.html#configuring-i18n
    config.i18n.load_path += Dir[Rails.root.join('config', 'locales', '**/*.{rb,yml}')]
    config.i18n.available_locales = %i[en de]
    config.i18n.default_locale = :en
    config.i18n.fallbacks = true

    # https://guides.rubyonrails.org/configuring.html#configuring-generators
    config.generators do |g|
      g.assets false
      g.helper false
      g.stylesheets false
      g.scaffold_stylesheet false
      g.template_engine :haml
    end
  end
end
