# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# This file is the source Rails uses to define your schema when running `bin/rails
# db:schema:load`. When creating a new database, `bin/rails db:schema:load` tends to
# be faster and is potentially less error prone than running all of your
# migrations from scratch. Old migrations may fail to apply correctly if those
# migrations use external dependencies or application code.
#
# It's strongly recommended that you check this file into your version control system.

ActiveRecord::Schema.define(version: 2021_04_26_114442) do

  # These are extensions that must be enabled in order to support this database
  enable_extension "plpgsql"

  create_table "movements", force: :cascade do |t|
    t.string "name", null: false
    t.string "abbreviation"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["abbreviation"], name: "index_movements_on_abbreviation", unique: true
    t.index ["name"], name: "index_movements_on_name", unique: true
  end

  create_table "performances", force: :cascade do |t|
    t.bigint "user_id", null: false
    t.bigint "movement_id"
    t.jsonb "details", default: {}
    t.date "date", null: false
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.decimal "weights", precision: 6, scale: 3, default: [], null: false, array: true
    t.index ["movement_id"], name: "index_performances_on_movement_id"
    t.index ["user_id"], name: "index_performances_on_user_id"
  end

  create_table "users", force: :cascade do |t|
    t.string "email", default: "", null: false
    t.string "encrypted_password", default: "", null: false
    t.string "reset_password_token"
    t.datetime "reset_password_sent_at"
    t.datetime "remember_created_at"
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.index ["email"], name: "index_users_on_email", unique: true
    t.index ["reset_password_token"], name: "index_users_on_reset_password_token", unique: true
  end

  create_table "workout_elements", force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.bigint "workout_id"
    t.bigint "movement_id"
    t.integer "position"
    t.jsonb "details", default: {}
    t.index ["movement_id"], name: "index_workout_elements_on_movement_id"
    t.index ["workout_id"], name: "index_workout_elements_on_workout_id"
  end

  create_table "workouts", force: :cascade do |t|
    t.datetime "created_at", precision: 6, null: false
    t.datetime "updated_at", precision: 6, null: false
    t.integer "rounds"
    t.string "name"
    t.jsonb "details", default: {}
    t.string "measure", null: false
    t.string "frequency"
    t.integer "interval"
    t.integer "repetition_scheme", default: [], null: false, array: true
  end

  add_foreign_key "performances", "movements"
  add_foreign_key "performances", "users"
  add_foreign_key "workout_elements", "movements"
  add_foreign_key "workout_elements", "workouts"
end
