movements = %w[
  air\ squat
  back\ squat
  box\ jump
  front\ squat
  power\ clean
  pull-up
  push-up
  row
  run
  thruster
  wall\ ball
]

puts "------------------"
puts "Seeding movements:\n\n"

movements.each do |movement|
  puts movement
  Movement.find_or_create_by(name: movement.capitalize)
end

puts "\n--------------------------"
puts "Seeding standard workouts:\n\n"

workouts = [
  {
    name: 'Cooper Test',
    measure: :distance,
    elements_attributes: {
      '0' => { movement_id: Movement.find_by(name: 'Run').id, time: 720 }
    }
  },
  {
    name: 'Fran',
    measure: :time,
    repetition_scheme: '21-15-9',
    elements_attributes: {
      '0' => { movement_id: Movement.find_by(name: 'Pull-up').id },
      '1' => { movement_id: Movement.find_by(name: 'Thruster').id, weights: [43.1, 29.5] }
    }
  },
  {
    name: 'Karen',
    measure: :time,
    elements_attributes: {
      '0' => { movement_id: Movement.find_by(name: 'Wall ball').id, repetitions: 150 }
    }
  }
]

workouts.each do |params|
  puts params[:name]
  unless Workout.find_by(name: params[:name])
    Workout.create(params)
  end
end

puts "\n------------------"
puts "Seeding dev users:\n\n"

if Rails.env.development?
  user = User.find_or_create_by(email: 'admin@boxjumps.cf') do |user|
    user.password = 'abc1234'
  end
  puts user.email
end
