# frozen_string_literal: true

require 'test_helper'

class TableComponentTest < ViewComponent::TestCase
  def test_component_renders_something_useful
    movements = FactoryBot.build_stubbed_list(:movement, 2)

    render_inline(TableComponent.new(collection: movements, attributes: %i[name abbreviation]))

    assert_includes rendered_component, movements.first.name
    assert_includes rendered_component, movements.second.name

    assert_includes rendered_component, "/movements/#{movements.first.id}/edit"

    assert_includes rendered_component, '/movements/new'
  end

  def test_component_doesn_not_render_empty_collection
    render_inline(TableComponent.new(collection: [], attributes: %i[name abbreviation]))

    assert_equal rendered_component, ''
  end
end
