# frozen_string_literal: true

require 'test_helper'

class WorkoutElementDecoratorTest < Draper::TestCase
  def decorator
    ::WorkoutElementDecorator.new(@element)
  end

  test '#description for 12 min run' do
    @element = build(:workout_element, movement_name: 'Run', time: 720)

    assert_equal '12 min run', decorator.description
  end

  test '#description for 30 s assault bike' do
    @element = build(:workout_element, movement_name: 'Assault bike', time: 30)

    assert_equal '30 s assault bike', decorator.description
  end

  test '#description for 5000 m run' do
    @element = build(:workout_element, movement_name: 'Run', distance: 5000)

    assert_equal '5000 m run', decorator.description
  end

  test '#description for 150 wall balls' do
    @element = build(:workout_element, movement_name: 'Wall ball', repetitions: 150)

    assert_equal '150 wall balls', decorator.description
  end

  test '#description for 12 Swings @ 24 kg' do
    @element = build(:workout_element, movement_name: 'KB Swing', repetitions: 12, weights: [24])

    assert_equal '12 kb swings @ 24 kg', decorator.description
  end

  test '#description for 10 Thrusters @ 20/15 kg' do
    @element = build(:workout_element, movement_name: 'Thruster', repetitions: 10, weights: [22.5, 15.0])

    assert_equal '10 thrusters @ 22.5/15 kg', decorator.description
  end
end
