# frozen_string_literal: true

FactoryBot.define do
  factory :workout do
    trait :fran do
      name              { 'Fran' }
      measure           { :time }
      repetition_scheme { [21, 15, 9] }

      after(:build) do |workout|
        workout.elements << build(:workout_element, position: 0, workout: workout, movement_name: 'Pull-up')
        workout.elements << build(:workout_element, position: 1, workout: workout, movement_name: 'Thruster',
                                                    weights: [43.1, 29.5])
      end
    end

    trait :cooper_test do
      name    { 'Cooper Test' }
      measure { :distance }

      after(:build) do |workout|
        workout.elements << build(:workout_element, workout: workout, movement_name: 'Run', time: 720)
      end
    end
  end
end
